using Atomx.Admin.Client.Models;
using FluentValidation;

namespace Atomx.Admin.Client.Validators
{
    public class MessageTemplateModelValidator : AbstractValidator<MessageTemplateModel>
    {
        public MessageTemplateModelValidator()
        {
            RuleFor(p => p.Name).NotEmpty().WithMessage("消息模板名称不能为空");
            RuleFor(p => p.Title).NotEmpty().WithMessage("消息模板标题不能为空");
            RuleFor(p => p.Key).NotEmpty().WithMessage("消息模板KEY不能为空");
        }
    }
}
